package it.favaroni.db.connectionpool;

/**
 * Bean che mappa la singola connessione.
 * Data di creazione: (26/06/2003 09.58.13)
 * @author: Roberto Favaroni
 */

import java.sql.*;
import java.util.*;

public class ConnectionItem {
    private int counter = 0;
    private Connection connection = null;
    private boolean inUse = false;
    private java.util.Date date = null;
/**
 * Commento del constructor ConnectionItem.
 */
public ConnectionItem() {
	super();
}
/**
 * Inserire qui la descrizione del metodo.
 * Data di creazione: (26/06/2003 10.01.48)
 * @return java.sql.Connection
 */
public java.sql.Connection getConnection() {
	return connection;
}
/**
 * 
 * @return int
 */
public int getCounter() {
	return counter;
}
/**
 * 
 * @return java.util.Date
 */
public java.util.Date getDate() {
	return date;
}
/**
 * 
 * @return boolean
 */
public boolean isInUse() {
	return inUse;
}
/**
 * Inserire qui la descrizione del metodo.
 * Data di creazione: (26/06/2003 10.01.48)
 * @param newConnection java.sql.Connection
 */
public void setConnection(java.sql.Connection newConnection) {
	connection = newConnection;
}
/**
 * 
 * @param newCounter int
 */
public void setCounter(int newCounter) {
	counter = newCounter;
}
/**
 * 
 * @param newDate java.util.Date
 */
public void setDate(java.util.Date newDate) {
	date = newDate;
}
/**
 * 
 * @param newInUse boolean
 */
public void setInUse(boolean newInUse) {
	inUse = newInUse;
	setDate(new java.util.Date());
}
}
