package it.favaroni.db.connectionpool;

/**
 * Bean che mappa i parametri acquisiti da file di properties.
 * Data di creazione: (27/06/2003 17.23.45)
 * @author: Roberto Favaroni
 */

public class ConnectionParameters {
    private int minConns = 10;
    private int maxConns = 100;
    private int maxInUse = 300;
    private int cleaningInterval = 600;	    
    private String logLevel = "debug";
    private String driver = null;
    private String url = null;
    private String user = null;
    private String password = null;
/**
 * Commento del constructor ConnectionParameters.
 */
public ConnectionParameters() {
	super();
}
/**
 * 
 * @return int
 */
public int getCleaningInterval() {
	return cleaningInterval;
}
/**
 * 
 * @return java.lang.String
 */
public java.lang.String getDriver() {
	return driver;
}
/**
 * 
 * @return java.lang.String
 */
public java.lang.String getLogLevel() {
	return logLevel;
}
/**
 * 
 * @return int
 */
public int getMaxConns() {
	return maxConns;
}
/**
 * 
 * @return int
 */
public int getMaxInUse() {
	return maxInUse;
}
/**
 * 
 * @return int
 */
public int getMinConns() {
	return minConns;
}
/**
 * 
 * @return java.lang.String
 */
public java.lang.String getPassword() {
	return password;
}
/**
 * 
 * @return java.lang.String
 */
public java.lang.String getUrl() {
	return url;
}
/**
 * 
 * @return java.lang.String
 */
public java.lang.String getUser() {
	return user;
}
/**
 * 
 * @param newCleaningInterval int
 */
public void setCleaningInterval(int newCleaningInterval) {
	cleaningInterval = newCleaningInterval;
}
/**
 * 
 * @param newDriver java.lang.String
 */
public void setDriver(java.lang.String newDriver) {
	driver = newDriver;
}
/**
 * 
 * @param newLogLevel java.lang.String
 */
public void setLogLevel(java.lang.String newLogLevel) {
	logLevel = newLogLevel;
}
/**
 * 
 * @param newMaxConns int
 */
public void setMaxConns(int newMaxConns) {
	maxConns = newMaxConns;
}
/**
 * 
 * @param newMaxInUse int
 */
public void setMaxInUse(int newMaxInUse) {
	maxInUse = newMaxInUse;
}
/**
 * 
 * @param newMinConns int
 */
public void setMinConns(int newMinConns) {
	minConns = newMinConns;
}
/**
 * 
 * @param newPassword java.lang.String
 */
public void setPassword(java.lang.String newPassword) {
	password = newPassword;
}
/**
 * 
 * @param newUrl java.lang.String
 */
public void setUrl(java.lang.String newUrl) {
	url = newUrl;
}
/**
 * 
 * @param newUser java.lang.String
 */
public void setUser(java.lang.String newUser) {
	user = newUser;
}
}
